{#
/**
* Block Name: blog
*
* This is the template that displays the example block.
*/

id="example-{{ block.id }}"
#}

<section id="example-{{ block.id }}" class="blog">
    <div class="wrapper">

        <div class="row justify-content-center justify-content-lg-between">

            {% for post in posts %}

            {% set title_words = post.title|split(' ') %} {# Podziel tytuł na tablicę wyrazów #}
            {% set word_limit = 5 %}
            {% set truncated_title = title_words|slice(0, word_limit)|join(' ') ~ (title_words|length > word_limit ?
            '...' : '') %}

            <div class="col-12 col-lg-6 col-xl-4 blog__card">
                <div class="blog__container-img">
                    <a class="blog__link-img" href="{{ post.link }}">
                        <img class="blog__img" src="{{ post.thumbnail.src }}" alt="#">
                    </a>
                    <h2 class="blog__heading">

                        <a class="my" href="{{ post.link }}">{{ truncated_title }}</a>
                    </h2>
                    <div class="blog__line"></div>
                </div>
                <div class="blog__content">
                    <p class="blog__text">{{ post.excerpt({ words: 30, chars: 110, read_more: 'Keep reading' }) }}
                    </p>

                    <a class="blog__link" href="{{ post.link }}">DOWIEDZ SIĘ WIĘCEJ</a>
                </div>

            </div>

            {% endfor %}

        </div>

    </div>
</section>